## qtiplot 0.9.3~rc2

=== manual/Makefile ===
html-en:
	docbook2html --dsl qtiplot.dsl docbook-en/index.docbook

## qtiplot 0.9.7

=== manual/Makefile ===
html-pdf:
	docbook2html -d qtiplot.dsl docbook-en/index.docbook -e no-valid
	dblatex -o qtiplot-manual-en.pdf -c dblatex.conf -p dblatex-param.xsl docbook-en/index.docbook

## qtiplot 0.9.7.10+r1453

=== manual/Makefile ===
html-pdf: web pdf

# we can't name the target "html", since there is already a folder with that name
# and so make thinks this target is already up to date
web:
	docbook2html -d qtiplot.dsl docbook-en/index.docbook -e no-valid

pdf:
	dblatex -o qtiplot-manual-en.pdf -c dblatex.conf -p dblatex-param.xsl docbook-en/index.docbook

## qtiplot 0.9.8

=== debian/changelog ===
qtiplot (0.9.8-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.0
  * Change python version to 2.6

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 25 Jul 2010 16:29:05 +0200

qtiplot (0.9.7.14-1) unstable; urgency=low

  * New upstream release
  * Build QTeXEngine into program
  * Bump liborigin2 dependency to >=1:06042009+svn1724
  * Bump muparser dependency to 1.32

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 23 May 2010 10:17:19 +0200

qtiplot (0.9.7.13-1) UNRELEASED; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Minor fix to patch 01_build_system.diff
  * Add qwtplot3d to build.conf
  * Bump standards version to 3.8.4
  * Fix spelling errors in description
  * Add misc depends in qtiplot-doc
  * Remove patch 02_docbook_stylesheet and
    04_add_includes.diff
  * Rename 03_fix_qti_wordlist.txt_path to
    02_fix_paths.diff

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 28 Apr 2010 08:50:00 +0200

qtiplot (0.9.7.10+r1453-1) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * New SVN version (Closes: #547273, #551008)
  * Add file build.conf
  * Remove dependency on libqwt-qt4-dev since it is static now
  * Change muparser version to 1.30
  * Add binary dependency on python-sip4 (>=4.9-1) (Closes: #552131, #551222)
  * Add Qwt copyright to copyright file
  * Change Vcs fields from collab-maint to debian-science

  [ Andreas Tille ]
  * debian/control:
    - Group maintenance in Debian Science team with permission of maintainer
    - Added myself as Uploaders
  * Debhelper 7
  * debian/qtiplot-doc.doc-base: Document: qtiplot-doc
  * make use of dh_install instead of make install and cleaning
    up afterwards
  * Provide examples

 -- Andreas Tille <tille@debian.org>  Wed, 18 Nov 2009 10:33:29 +0100

qtiplot (0.9.7.10-1) UNRELEASED; urgency=low

  * New upstream release
  * Static qwt library included. Both qwt and qwtplot3d will be removed
    when the Qtiplot version will be in sync with the upstream versions.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 24 Oct 2009 13:25:43 +0200

qtiplot (0.9.7.9-1) UNRELEASED; urgency=low

  * New upstream release
  * Add exclude 3rdparty/QTeXEngine/ to get-orig-source target
  * Remove patch 02_sip_fix, fixed in upstream

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 23 Sep 2009 06:38:34 +0200

qtiplot (0.9.7.8-1) unstable; urgency=low

  * New upstream release. (Closes: #504646, #527650, #506929, 
    #539001, #532480)

  [ Fathi Boudra ]
  * Remove myself from Uploaders field.

  [ Gudjon I. Gudjonsson ]
  * Fix the watch file
  * Add get-orig-source target
  * Remove patch 02_docbook_stylesheet.diff, not needed
  * Change dependency from liborigin-dev to liborigin2-dev
  * Remove dependency on qwtplot3d since it is statically linked in
    in this version
  * Add patch 02_sip_fix.diff with changes from upstream,
    fixes compiling.
  * Remove dh_desktop
  * Bump standards version to 3.8.3, no changes needed
  * Add README.source
  * Add dependency on libpng12-dev
  * Remove patch 04_add_includes.diff. Fixed in upstream
  * Remove muparser and liborigin from copyright file
  * Add qwtplot3d to copyright file
  * Fix GPL versions in copyright file
  * Fix patch 03_fix_qti_wordlist.txt_path.diff (Closes: #475522)
  * Add rm manual/html/qtiplot.adp to clean target
  * Add doc-base file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 08 Sep 2009 08:47:51 +0200

qtiplot (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * Remove qtiplot/translations/*.ts in clean rules.
  * Add patch 04_add_includes to include limits.h file.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 17 Aug 2008 19:43:31 +0200

qtiplot (0.9.6.2-1) unstable; urgency=low

  * New upstream release. (Closes: #481054, #485821)
  * Fix the clean target in rules.
  * Remove 99_reduce_warnings. Merged in upstream.
  * Add dependencies on libqt4-opengl-dev (Closes: #479886, #479520)
  * Install binary in rules file. Something is wrong in makefile.
  * Add a postinst script to compile .py files. (Closes: #471709)
  * Add patch 03_fix_qti_wordlist.txt_path
  * Add postrm script to remove .pyc files
  * Move .py(c) files from /etc to /usr/share/qtiplot
  * Add dependency on python-central (for py_compilefiles)
  * Bump standard version to 3.8.0. No changes needed

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 12 Jun 2008 08:57:17 +0200

qtiplot (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove 04_homepage_url patch. Merged upstream.

 -- Fathi Boudra <fabo@debian.org>  Fri, 04 Apr 2008 15:11:55 +0200

qtiplot (0.9.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Fathi Boudra <fabo@debian.org>  Wed, 05 Mar 2008 11:20:08 +0100

qtiplot (0.9.3~rc3-1) unstable; urgency=low

  * New upstream release.
  * Refresh build system patch.
  * Add patches:
    * 02_docbook_stylesheet: set docbook to html stylesheet path properly.
    * 99_reduce_warnings: reduce spurious warnings during qtiplot build.
  * Remove translations path patch. Fixed upstream.
  * Bump liborigin build dependency version.
  * Add dblatex and docbook-utils build dependencies to generate html and pdf
    manual. Use debian/rules to install them instead of upstream build system.
  * Add QtiPlot manual in qtiplot-doc package. (Closes: #433654)
  * Add Vcs-Browser and Vcs-Svn fields.

 -- Fathi Boudra <fabo@debian.org>  Sat, 01 Mar 2008 14:04:58 +0100

qtiplot (0.9.3~rc2-2) unstable; urgency=low

  * Disable demo mode. (Closes: #461127)

 -- Fathi Boudra <fabo@debian.org>  Wed, 16 Jan 2008 21:47:14 +0100

qtiplot (0.9.3~rc2-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Update my e-mail address.
  * Bump liborigin build dependency version.
  * Bump Standards-Version to 3.7.3.
  * Use Homepage field.
  * Remove DM upload permission.
  * Remove qtiplot manpage. Merged upstream.
  * Update qtiplot.desktop:


=== debian/control ===
Source: qtiplot
Section: math
Priority: optional
Maintainer:  Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7), quilt, dblatex, docbook-utils, doxygen,
 libgsl0-dev, zlib1g-dev, libpng12-dev,
 liborigin2-dev (>=1:06042009+svn1724), libmuparser-dev (>=1.32), python-all-dev (>= 2.4.4),
 python-qt4, python-qt4-dev, python-sip4-dev, sip4, libqt4-opengl-dev
Standards-Version: 3.9.0
Homepage: http://soft.proindependent.com/qtiplot.html
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/qtiplot/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/qtiplot/trunk
DM-Upload-Allowed: yes

Package: qtiplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-qt4, libqt4-opengl,
 python-central, python-sip4 (>=4.9-1)
Description: data analysis and scientific plotting
 Qtiplot is a fully fledged plotting software similar to the OriginLab Origin
 software (See http://www.originlab.com for more information about Origin).
 .
 It can make two and three dimensional plots of publication quality, both from
 datasets and functions. It can do non-linear fitting and multi-peak fitting.
 .
 Some Features:
  * 3D Plots.
  * Publication quality 2D plots: Error Bars, Multilayer Plots, Bar Plots,
    Pie Plots, Vector Plots, Contour and Image Plots.
  * Statistical Plots: Box/Whiskers Diagramms, Histograms.
  * Easy export of plots to vector formats (EPS, PS, PDF) and to other various
    image formats (BMP, JPG, PNG, TIFF).
  * Powerful and versatile spreadsheets and calculations in column-logic.
  * Easy ASCII-Import/Export of single or multiple files.
  * Linear and non-linear curve fitting with weighting and estimation of
    statistical errors of the fit-parameters, using Levenberg-Marquardt,
    Least-Squares Algorithm or Nelder-Mead simplex minimization algorithm.
  * Multi-peak fitting with Gaussian and Lorentzian peak profiles.
  * Data analysis: statistics, sorting, FFT, data smoothing (Savitzky-Golay,
    FFT smoothing, and moving window average), data filtering (low/high/band
    pass and band block filters), convolution/deconvolution, correlation,
    interpolation, numerical integration/differentiation.
  * Matrices optimized for 3D plotting.
  * Templates support: all the settings for plots (2D/3D), tables and matrixes
    can be saved to ASCII files and restored later on for a fast editing
    process.
  * Project files based on folders, a powerful project explorer with extensive
    built-in features: drag and drop, searching facilities.

Package: qtiplot-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: data analysis and scientific plotting (documentation)
 This package is part of QtiPlot.
 .
 It contains QtiPlot manual and API documentation.
 .
 See the 'qtiplot' package for more information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CXXFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	/bin/gunzip -c /usr/share/doc/zlib1g-dev/examples/minigzip.c.gz > minigzip.c
	/usr/bin/patch -p1 < debian/patches-zlib/minigzip.diff
	rm -f build.conf
	cp debian/build.conf .
	qmake-qt4 -after \
		'QMAKE_CXXFLAGS_RELEASE = $(CXXFLAGS)' \
		'QMAKE_POST_LINK ~= s/strip/:' \
		qtiplot.pro

	touch configure-stamp

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp

	$(MAKE)

	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp

	doxygen Doxyfile
	cd manual && docbook2html -d qtiplot.dsl docbook-en/index.docbook -e no-valid
	cd manual && dblatex -o qtiplot-manual-en.pdf -c dblatex.conf -p dblatex-param.xsl docbook-en/index.docbook

	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -f build-arch-stamp build-indep-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	find -type f -name 'Makefile' -exec rm -f {} \;
	find -type f -name '*.qm' -exec rm -f {} \;
	rm -f minigzip.c
	rm -f qtiplot/qtiplot
	rm -f manual/html/*.html
	rm -f manual/qtiplot-manual-en.pdf
	rm -f manual/html/qtiplot.adp
	rm -rf API
	rm -rf tmp
	rm -f qtiplot/translations/*.qm
	rm -f qtiplot/translations/*.ts
	rm -rf 3rdparty/qwtplot3d/lib
	rm -rf 3rdparty/qwtplot3d/tmp
	rm -f build.conf
	rm -f 3rdparty/qwt/lib/libqwt.a
	dh_clean

install: install-arch install-indep
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s
	dh_installdirs -s

	# use dh_install for all files to move instead of cleaning behind
	# $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/qtiplot install
	## move manual to doc package
	# mkdir -p $(CURDIR)/debian/qtiplot//usr/share/doc/qtiplot-doc/
	# mv $(CURDIR)/debian/qtiplot//usr/share/doc/qtiplot/manual $(CURDIR)/debian/qtiplot//usr/share/doc/qtiplot-doc/
	## For some reason all header files for QWT are installed, removing.
	# rm -rf debian/qtiplot/usr/local

binary-common:
	dh_testdir
	dh_testroot
	dh_install
	dh_installman
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_link
	dh_strip
	dh_compress --exclude=.pdf
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep

get-orig-source:
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p'); \
	uscan --force-download --rename --download-version=$$VER --destdir=. && (\
	tar -xj --exclude 3rdparty/liborigin  --exclude 3rdparty/zlib -f qtiplot_$$VER.orig.tar.bz2 ; \
	chmod -R o-w qtiplot-$$VER ; \
	fromdos `find qtiplot-$$VER -type f |grep -v .png`; \
	find qtiplot-$$VER -type f -exec chmod a-x {} \; ;\
	rm -f qtiplot-$$VER/.gitignore ;\
	tar -czf qtiplot_$$VER.orig.tar.gz qtiplot-$$VER; \
	rm -rf qtiplot-$$VER; \
	rm -f qtiplot_$$VER.orig.tar.bz2);

.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure get-orig-source

## qtiplot 0.9.8.2

=== debian/changelog ===
qtiplot (0.9.8.2-1ubuntu4) natty; urgency=low

  * Refreshed 01_build_system.diff, s/python2.6/python2.7/ (LP: #735546)

 -- Scott Howard <showard@debian.org>  Tue, 15 Mar 2011 23:34:37 -0400

qtiplot (0.9.8.2-1ubuntu3) natty; urgency=low

  * debian/control: Update sip dependencies to avoid using transitional
    packages (LP: #702853)

 -- Alexander Valavanis <valavanisalex@googlemail.com>  Fri, 14 Jan 2011 12:17:01 +0000

qtiplot (0.9.8.2-1ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:55:05 +0000

qtiplot (0.9.8.2-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #685807). Remaining changes:
    - Drop 03_binutils-gold-fix.diff.  Now merged into 01_build_system.diff
    - Build-Depends on libqtassistantclient-dev
      Recommends qt-assistant-compat to fix a FTBFS since qtassistant
      is removed in qt > 4.6 (LP: #598826)

 -- Alex Valavanis <valavanisalex@googlemail.com>  Wed, 08 Dec 2010 10:32:48 +0000

qtiplot (0.9.8.2-1) unstable; urgency=low

  * New upstream release
  * Remove quilt dependency
  * Depend on liborigin2 (>=1:13092010)
  * Re-enable liborigin2 (Closes: #604819)
  * Added -lz to qtiplot.pro (Closes: #600736)
  * Add Dependency on libboost-thread-dev

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 05 Dec 2010 10:08:58 +0100

qtiplot (0.9.8-2ubuntu1) natty; urgency=low

  * Merge with debian unstable (LP: #656046). Remaining changes:
    - Build-Depends on libqtassistantclient-dev
      Recommends qt-assistant-compat to fix a FTBFS since qtassistant
      is removed in qt > 4.6 (LP: #598826)
  * Added 03_binutils-gold-fix.diff: Fix FTBFS with binutils-gold (LP: #663332)

 -- Alexander Valavanis <valavanisalex@googlemail.com>  Fri, 22 Oct 2010 14:15:27 +0200

qtiplot (0.9.8-2) unstable; urgency=low

  * Bump standards version to 3.9.1
  * Add comments to patches
  * Removing accidental patch, debian-changes that prevents qtiplot from
    depending on python 2.6 (Closes: #594341) 

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 29 Sep 2010 21:59:36 +0200

qtiplot (0.9.8-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable(LP: #605027).  Remaining changes:
    - Build-Depends on libqtassistantclient-dev
      Recommends qt-assistant-compat to fix a FTBFS since qtassistant
      is removed in qt > 4.6 (LP: #598826) 

 -- Scott Howard <showard314@gmail.com>  Tue, 24 Aug 2010 18:09:11 -0400

qtiplot (0.9.7.10+r1453-1ubuntu2) lucid; urgency=low

  * Rebuild against new SIP, no changes (LP: #518473)

 -- Scott Howard <showard314@gmail.com>  Sun, 07 Feb 2010 16:13:25 -0500

qtiplot (0.9.7.10+r1453-1ubuntu1) lucid; urgency=low

  * Synced with Debian testing, removed all previous Ubuntu changes
    (LP: #494111)
  * New Ubuntu changes:
  * debian/control
    - MOTU maintainers
  * debian/01_build_system.diff
    - 's/python2.5/python2.6/'

 -- Scott Howard <showard314@gmail.com>  Tue, 08 Dec 2009 18:06:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: qtiplot
 Section: math
 Priority: optional
-Maintainer:  Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer:  Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 7), quilt, dblatex, docbook-utils, doxygen,
+Build-Depends: debhelper (>= 7), dblatex, docbook-utils, doxygen,
  libgsl0-dev, zlib1g-dev, libpng12-dev,
- liborigin2-dev (>=1:06042009+svn1724), libmuparser-dev (>=1.32), python-all-dev (>= 2.4.4),
- python-qt4, python-qt4-dev, python-sip4-dev, sip4, libqt4-opengl-dev
-Standards-Version: 3.9.0
+ liborigin2-dev (>=1:13092010), libmuparser-dev (>=1.32), python-all-dev (>= 2.4.4),
+ python-qt4, python-qt4-dev, python-sip-dev, libqt4-opengl-dev,
+ libboost-thread-dev, libqtassistantclient-dev
+Standards-Version: 3.9.1
 Homepage: http://soft.proindependent.com/qtiplot.html
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/qtiplot/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/qtiplot/trunk
@@ -17,7 +19,8 @@
 Package: qtiplot
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-qt4, libqt4-opengl,
- python-central, python-sip4 (>=4.9-1)
+ python-central, python-sip (>=4.9-1)
+Recommends: qt-assistant-compat
 Description: data analysis and scientific plotting
  Qtiplot is a fully fledged plotting software similar to the OriginLab Origin
  software (See http://www.originlab.com for more information about Origin).

## qtiplot 0.9.8.4

=== manual/Makefile ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	docbook2html -d qtiplot.dsl docbook-en/index.docbook -e no-valid
 
 pdf:
-	dblatex -o qtiplot-manual-en.pdf -c dblatex.conf -p dblatex-param.xsl docbook-en/index.docbook
+	dblatex -o qtiplot-manual-en.pdf -c dblatex.conf docbook-en/index.docbook

=== debian/changelog ===
qtiplot (0.9.8.4-2) unstable; urgency=low

  * Fixes a crash on startup if not connected to the internet
    (Closes: #626915) debian/patches/crasher_without_internet.patch

 -- Scott Howard <showard@debian.org>  Thu, 26 May 2011 17:33:31 -0400

qtiplot (0.9.8.4-1) unstable; urgency=low

  * moved debian/build.conf into debian/patches/03_build_conf.patch
    to track changes to build.conf between releases. Updated
    debian/rules accordingly.
  * New upstream release. (Closes: #599450)
  * Refreshed patches.
  * debian/control B-D on libalglib-dev, libtamuanova-dev,
    libqtexengine-dev
  * debian/rules allows for parallel builds
  * Byte compile python modules with dh_python2, removed debian/*.post{rm,inst}
    dropped dependency on depricated python-central (Closes: #587669)
  * Added shared-mime-info xml data in debian/qtiplot.sharedmimeinfo
    (LP: #184307)
  * 04_qwtplot3d_static.patch added to build a modified static
    library of qwt3dplot
  * 05_link_gl2ps.patch added to use Debian gl2ps library.
  * Policy 3.9.2, no changes

 -- Scott Howard <showard@debian.org>  Sat, 07 May 2011 17:00:26 -0400

qtiplot (0.9.8.2-2) unstable; urgency=low

  * Drop dependency on sip4 packages, thanks to Alex Valavanis.
    (Closes: #609960)
  * Use qt-assistant-compat libraries (Closes: #582788)
    - debian/rules: don't compress *.adp files
  * Build against default python (Closes: #560852)
  * Added qtexengine and alglib support in debian/build.conf, did not
    add to debian/control or qtiplot/qtiplot.pro since it will be
    enabled in 0.9.8.4
  * New git-vcs in debian/control
  * Added myself (showard) to uploaders
  * Removed cleaning of *.ts translation source files

 -- Scott Howard <showard@debian.org>  Sat, 23 Apr 2011 12:26:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: qtiplot
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer:  Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
- Andreas Tille <tille@debian.org>
+ Andreas Tille <tille@debian.org>, Scott Howard <showard@debian.org>
 Build-Depends: debhelper (>= 7), dblatex, docbook-utils, doxygen,
- libgsl0-dev, zlib1g-dev, libpng12-dev,
- liborigin2-dev (>=1:13092010), libmuparser-dev (>=1.32), python-all-dev (>= 2.4.4),
- python-qt4, python-qt4-dev, python-sip-dev, libqt4-opengl-dev,
- libboost-thread-dev, libqtassistantclient-dev
-Standards-Version: 3.9.1
+ libgsl0-dev, zlib1g-dev, libpng12-dev, libgl2ps-dev, libjs-jquery,
+ liborigin2-dev (>=1:13092010), libmuparser-dev (>=1.32), python-all-dev (>= 2.6.6-3~),
+ python-qt4, python-qt4-dev, python-sip-dev, libqt4-opengl-dev, libboost-thread-dev,
+ libqtassistantclient-dev, libalglib-dev, libtamuanova-dev, libqtexengine-dev
+Standards-Version: 3.9.2
 Homepage: http://soft.proindependent.com/qtiplot.html
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/qtiplot/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/qtiplot/trunk
+Vcs-Git: git://git.debian.org/debian-science/packages/qtiplot.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/qtiplot.git
 DM-Upload-Allowed: yes
 
 Package: qtiplot
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-qt4, libqt4-opengl,
- python-central, python-sip (>=4.9-1)
+ python-sip (>=4.9-1), ${python:Depends}
 Recommends: qt-assistant-compat
 Description: data analysis and scientific plotting
  Qtiplot is a fully fledged plotting software similar to the OriginLab Origin
@@ -54,7 +53,7 @@
 
 Package: qtiplot-doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery
 Section: doc
 Description: data analysis and scientific plotting (documentation)
  This package is part of QtiPlot.

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,10 @@
 else
 	CXXFLAGS += -O2
 endif
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
+endif
 
 configure: configure-stamp
 configure-stamp:
@@ -22,7 +26,7 @@
 	/bin/gunzip -c /usr/share/doc/zlib1g-dev/examples/minigzip.c.gz > minigzip.c
 	/usr/bin/patch -p1 < debian/patches-zlib/minigzip.diff
 	rm -f build.conf
-	cp debian/build.conf .
+	cp build.conf.example build.conf
 	qmake-qt4 -after \
 		'QMAKE_CXXFLAGS_RELEASE = $(CXXFLAGS)' \
 		'QMAKE_POST_LINK ~= s/strip/:' \
@@ -65,7 +69,6 @@
 	rm -rf API
 	rm -rf tmp
 	rm -f qtiplot/translations/*.qm
-	rm -f qtiplot/translations/*.ts
 	rm -rf 3rdparty/qwtplot3d/lib
 	rm -rf 3rdparty/qwtplot3d/tmp
 	rm -f build.conf
@@ -95,15 +98,17 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_install
+	dh_install -X.js
 	dh_installman
 	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
+	dh_installmime
+	dh_python2
 	dh_link
 	dh_strip
-	dh_compress --exclude=.pdf
+	dh_compress --exclude=.pdf --exclude=.adp
 	dh_fixperms
 	dh_makeshlibs
 	dh_installdeb

## qtiplot 0.9.8.8

=== manual/Makefile ===
--- 
+++ 
@@ -7,3 +7,4 @@
 
 pdf:
 	dblatex -o qtiplot-manual-en.pdf -c dblatex.conf docbook-en/index.docbook
+	dblatex -o qtiplot-manual-it.pdf -c dblatex.conf docbook-it/index.docbook

=== debian/changelog ===
qtiplot (0.9.8.8-5) unstable; urgency=low

  * B-D on libpng-dev as part of the libpng15 transition (Closes: #662485)

 -- Scott Howard <showard@debian.org>  Mon, 05 Mar 2012 17:37:13 -0500

qtiplot (0.9.8.8-4) unstable; urgency=low

  * Updated debian/patches-zlib/minizip.diff for new version of zlib1g-dev
    (Closes: #662635)

 -- Scott Howard <showard@debian.org>  Mon, 05 Mar 2012 16:27:26 -0500

qtiplot (0.9.8.8-3) unstable; urgency=low

  * Add missing include on GL/glu.h, -lGLU to fix FTBFS with qt>4.8
    and binutils-gold (LP: #925652)

 -- Scott Howard <showard@debian.org>  Thu, 02 Feb 2012 19:04:03 -0500

qtiplot (0.9.8.8-2) unstable; urgency=high

  * Updated debian/control description with new features.
  * Recommends qtiplot-doc
  * Switch to simple dh rules, added build-indep build-arch targets
    and bumped debian/compat to 9. Build flags updated (Closes: #653418)

 -- Scott Howard <showard@debian.org>  Thu, 29 Dec 2011 11:41:20 -0500

qtiplot (0.9.8.8-1) unstable; urgency=low

  * New upstream release (Closes: #638943, LP: #831813, Closes: #560429,
    Closes: #626916)
  * refreshed patches, removed 04_qwtplot3d_static.patch accepted
    upstream

 -- Scott Howard <showard@debian.org>  Sat, 15 Oct 2011 10:59:58 -0400

=== debian/control ===
Source: qtiplot
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Andreas Tille <tille@debian.org>, Scott Howard <showard@debian.org>
Build-Depends: debhelper (>= 9), dblatex, docbook-utils, doxygen,
 libgsl0-dev, zlib1g-dev, libpng-dev, libgl2ps-dev, libjs-jquery,
 liborigin2-dev (>=1:13092010), libmuparser-dev (>=1.32),
 python-all-dev (>= 2.6.6-3~), python-qt4, python-qt4-dev, python-sip-dev,
 libqt4-opengl-dev, libboost-thread-dev, libqtassistantclient-dev,
 libalglib-dev, libtamuanova-dev, libqtexengine-dev, imagemagick
Standards-Version: 3.9.3
Homepage: http://soft.proindependent.com/qtiplot.html
Vcs-Git: git://git.debian.org/debian-science/packages/qtiplot.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/qtiplot.git
DM-Upload-Allowed: yes

Package: qtiplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-qt4, libqt4-opengl,
 python-sip (>=4.9-1), ${python:Depends}
Recommends: qt-assistant-compat, qtiplot-doc
Description: data analysis and scientific plotting
 Qtiplot is a fully fledged plotting software similar to the OriginLab
 Origin software (See http://www.originlab.com for more information
 about Origin).
 .
 It can make two and three dimensional plots of publication quality,
 both from datasets and functions. It can do non-linear fitting and
 multi-peak fitting.
 .
 Some Features:
  * Cross platform: works natively on Windows, Mac OS X and Linux/Unix
    systems
  * Fully Python scriptable
  * OpenGL based 3D plotting
  * Publication quality plots and easy export to various image formats
    (EMF, EPS, PS, PDF, SVG, BMP, JPG, PNG, TIFF, etc ...)
  * Easy integration with LaTeX typesetting system
  * Powerful and versatile spreadsheets with column-logic calculations
    and easy import/export of multiple files
  * One-click access to extensive built-in data analysis routines
  * Advanced statistical analysis: Student's t-Test, ANOVA, chi-square
    test for variance, normality test (Shapiro-Wilk)
  * Linear and nonlinear curve fitting with weighting and estimation
    of statistical errors of the fit-parameters
  * Multi-peak fitting
  * Image analysis tools
  * Templates support: all settings for plots, tables and matrices can
    be saved and restored later on for a fast editing process
  * Project files based on folders, a powerful project explorer with
    built-in drag and drop and searching facilities
  * Full import of Excel workbooks and Open Document Format
    spreadsheets, dBase, SQLite and Microsoft Access databases

Package: qtiplot-doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Section: doc
Description: data analysis and scientific plotting (documentation)
 This package is part of QtiPlot.
 .
 It contains QtiPlot manual and API documentation.
 .
 See the 'qtiplot' package for more information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with python2

override_dh_auto_configure:
	/bin/gunzip -c /usr/share/doc/zlib1g-dev/examples/minigzip.c.gz > minigzip.c
	/usr/bin/patch -p1 < debian/patches-zlib/minigzip.diff
	rm -f build.conf
	cp build.conf.example build.conf
	mkdir -p icons/48x48
	mkdir -p icons/128x128
	cp qtiplot_logo.png icons/128x128/qtiplot.png
	convert qtiplot_logo.png -resize 48x48 icons/48x48/qtiplot.png
	dh_auto_configure

override_dh_auto_install:

override_dh_auto_build-arch:
	$(MAKE)

override_dh_auto_build-indep:
	doxygen Doxyfile
	$(MAKE) -C manual -f Makefile html-pdf

overrid_dh_auto_clean:
	dh_auto_clean
	find -type f -name Makefile ! -path ./manual/Makefile -exec rm -f {} \;
	find -type f -name '*.qm' -exec rm -f {} \;
	rm -rf icons
	rm -f minigzip.c
	rm -f qtiplot/qtiplot
	rm -f manual/html/*.html
	rm -f manual/qtiplot-manual-en.pdf
	rm -f manual/html/qtiplot.adp
	rm -rf API
	rm -rf tmp
	rm -f qtiplot/translations/*.qm
	rm -rf 3rdparty/qwtplot3d/lib
	rm -rf 3rdparty/qwtplot3d/tmp
	rm -f build.conf
	rm -f 3rdparty/qwt/lib/libqwt.a

override_dh_install:
	dh_install -X.js

override_dh_compress:
	dh_compress --exclude=.pdf --exclude=.adp

get-orig-source:
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p'); \
	uscan --force-download --rename --download-version=$$VER --destdir=. && (\
	tar -xj --exclude 3rdparty/liborigin --exclude manual/html/qtiplot.adp --exclude 3rdparty/zlib --exclude .gitignore -f qtiplot_$$VER.orig.tar.bz2 ; \
	chmod -R o-w qtiplot-$$VER ; \
	fromdos `find qtiplot-$$VER -type f |grep -v .png`; \
	find qtiplot-$$VER -type f -exec chmod a-x {} \; ;\
	rm -f qtiplot-$$VER/.gitignore ;\
	tar -czf qtiplot_$$VER.orig.tar.gz qtiplot-$$VER; \
	rm -rf qtiplot-$$VER; \
	rm -f qtiplot_$$VER.orig.tar.bz2);

## qtiplot 0.9.8.9

=== manual/Makefile ===
all: en pdf-it
en: web pdf
it: web-it pdf-it

# we can't name the target "html", since there is already a folder with that name
# and so make thinks this target is already up to date
web:
	docbook2html -d qtiplot.dsl docbook-en/index.docbook -e no-valid
web-it:
	docbook2html -d qtiplot.dsl docbook-it/index.docbook -e no-valid

pdf:
	dblatex -o qtiplot-manual-en.pdf -c dblatex.conf docbook-en/index.docbook
pdf-it:
	dblatex -o qtiplot-manual-it.pdf -c dblatex.conf docbook-it/index.docbook

=== debian/changelog ===
qtiplot (0.9.8.9-18) unstable; urgency=medium

  * Team upload
  * Fix Homepage
  * Add debian/README.source with hint to Github fork
  * Try to fix watch file but failed
  * Drop myself from Uploaders
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sun, 13 Jan 2019 21:56:22 +0100

qtiplot (0.9.8.9-17) unstable; urgency=medium

  * Team upload.
  * [aec7671] Remove myself from uploaders
  * [1843f27] First try to fix #882026
  * [ca9c06d] Fix compilation against sip_4.19. (Closes: #882026)
  * [ca50cee] Add dh-python into build-depends
  * [fbe2d82] Remove obsolete menu-file

 -- Anton Gladky <gladk@debian.org>  Sat, 30 Dec 2017 23:51:01 +0100

qtiplot (0.9.8.9-16) unstable; urgency=medium

  [ Anton Gladky ]
  * [7a48c20] Set compat level 10
  * [9d854d3] Set the maximal hardening options

  [ Andreas Sturmlechner ]
  * [247542e] Fix build with >=sip-4.19. (Closes: #872636)

 -- Anton Gladky <gladk@debian.org>  Tue, 29 Aug 2017 23:14:04 +0200

qtiplot (0.9.8.9-15) unstable; urgency=medium

  * [bfeb613] Fix FTBFS with gcc-6. (Closes: #831069)
  * [a845a9f] Apply cme fix-dpkg.

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Aug 2016 21:52:08 +0200

qtiplot (0.9.8.9-14) unstable; urgency=medium

  * [771d41e] Add missing header after gsl2-migration.

 -- Anton Gladky <gladk@debian.org>  Mon, 07 Dec 2015 22:37:20 +0100

qtiplot (0.9.8.9-13) unstable; urgency=medium

  * [5aafbcc] Update build dependencies for GSL 2, change libgsl0-dev
              to libgsl-dev. (Closes: #805841)

 -- Anton Gladky <gladk@debian.org>  Mon, 07 Dec 2015 18:50:39 +0100

qtiplot (0.9.8.9-12) unstable; urgency=medium

  * [fb1558f] Disable auto_test during -indep-build.
  * [1ea713a] Update d/copyright. Fix warning.
  * [a1dbeb6] Remove get_orig (not functional).

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Dec 2015 08:04:40 +0100

qtiplot (0.9.8.9-11) unstable; urgency=medium

  [ Damir Islamov ]
  * [846688b] Fix compilation with GSL2. (Closes: #805841)

  [ Mirko Scholz ]
  * [fc32fcf] Fix stack overflow in Correlation.cpp. (Closes: #805534)

  [ Anton Gladky ]
  * [9e62e36] Disable building of manual_en.pdf. (Closes: #804586, #806871)
  * [4fb51fd] Respect all versions of GSL.

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Dec 2015 00:07:21 +0100

qtiplot (0.9.8.9-10) unstable; urgency=medium

  [ Jonathan Wiltshire ]
  * Team upload.
  * [8629801] Fix FTBFS against alglib_3.9. (Closes: #787339).

  [ Anton Gladky ]
  * [b6d72a1] Set version dependency on alglib>=3.9.0
  * [0df7cba] Apply cme fix dpkg-control.
  * [bce90df] Add myself to uploaders.

 -- Anton Gladky <gladk@debian.org>  Sun, 31 May 2015 18:35:43 +0200

qtiplot (0.9.8.9-9) unstable; urgency=low

  * Use dh_sip to set the right python-sip version.
  * Debian S-V 3.9.5, no changes.

 -- Scott Howard <showard@debian.org>  Tue, 29 Apr 2014 09:37:55 -0400

qtiplot (0.9.8.9-8) unstable; urgency=low

  * Fix FTBFS from new sip version (Closes: #728642, LP: #1243269)

 -- Scott Howard <showard@debian.org>  Sun, 17 Nov 2013 11:03:08 -0500

qtiplot (0.9.8.9-7) unstable; urgency=high

  * Team upload.
  * [f4c910d] Link boost_system  explicitly. (Closes: #722323)
  * [90606d7] Add texlive-lang-european to BD. Fix documentation generation.
  * [b3f2561] Update Standards-Version to 3.9.4. No changes.
  * [9530d73] Use canonical VCS.

 -- Anton Gladky <gladk@debian.org>  Tue, 10 Sep 2013 16:14:00 +0200

qtiplot (0.9.8.9-6) unstable; urgency=low

  * Fix bug were table columns could not be set (Closes: #707736)
    - debian/patches/set_col_values.patch

 -- Scott Howard <showard@debian.org>  Sat, 08 Jun 2013 02:21:57 -0400

qtiplot (0.9.8.9-5) unstable; urgency=low

  * Team upload, QA upload.
  * Build depend on texlive-latex-extra to fix documentation FTBFS with
    new TeX Live.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 04 Jun 2013 00:01:51 +0100

qtiplot (0.9.8.9-4) unstable; urgency=low

  [ Anton Gladky ]
  * Team upload.
  * Adopt qtiplot to alglib3.
  * Remove obsolete DM-Upload flag.
  * Remove README.source.
  * Use DEP-5 for copyright file.


  [ Bart Martens ]
  * Update debian/watch.

 -- Anton Gladky <gladk@debian.org>  Thu, 16 May 2013 20:44:31 +0200

qtiplot (0.9.8.9-3) unstable; urgency=low

  * Include upstream minigzip.c since debian zlib package no longer
    ships a compatible example. (Closes: #708240)

 -- Scott Howard <showard@debian.org>  Wed, 15 May 2013 22:04:46 -0400

qtiplot (0.9.8.9-2) unstable; urgency=low

  * Merge to unstable from experimental.

 -- Scott Howard <showard@debian.org>  Mon, 06 May 2013 22:34:10 -0400

qtiplot (0.9.8.9-1) experimental; urgency=low

  * New upstream release

 -- Scott Howard <showard@debian.org>  Wed, 07 Nov 2012 11:00:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,48 @@
 Source: qtiplot
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
+           Scott Howard <showard@debian.org>
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
- Andreas Tille <tille@debian.org>, Scott Howard <showard@debian.org>
-Build-Depends: debhelper (>= 9), dblatex, docbook-utils, doxygen,
- libgsl0-dev, zlib1g-dev, libpng-dev, libgl2ps-dev, libjs-jquery,
- liborigin2-dev (>=1:13092010), libmuparser-dev (>=1.32),
- python-all-dev (>= 2.6.6-3~), python-qt4, python-qt4-dev, python-sip-dev,
- libqt4-opengl-dev, libboost-thread-dev, libqtassistantclient-dev,
- libalglib-dev, libtamuanova-dev, libqtexengine-dev, imagemagick
-Standards-Version: 3.9.3
-Homepage: http://soft.proindependent.com/qtiplot.html
-Vcs-Git: git://git.debian.org/debian-science/packages/qtiplot.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/qtiplot.git
-DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 12~),
+               dblatex,
+               dh-python,
+               docbook-utils,
+               doxygen,
+               libgsl-dev,
+               zlib1g-dev,
+               libpng-dev,
+               libgl2ps-dev,
+               libjs-jquery,
+               liborigin2-dev,
+               libmuparser-dev,
+               python-all-dev,
+               python-qt4,
+               python-qt4-dev,
+               python-sip-dev,
+               libqt4-opengl-dev,
+               libboost-thread-dev,
+               libboost-system-dev,
+               libqtassistantclient-dev,
+               libalglib-dev (>= 3.9.0),
+               libtamuanova-dev (>= 0.2-4),
+               libqtexengine-dev,
+               texlive-lang-european,
+               texlive-lang-italian,
+               imagemagick
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/qtiplot
+Vcs-Git: https://salsa.debian.org/science-team/qtiplot.git
+Homepage: https://www.qtiplot.com/
 
 Package: qtiplot
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-qt4, libqt4-opengl,
- python-sip (>=4.9-1), ${python:Depends}
-Recommends: qt-assistant-compat, qtiplot-doc
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${sip:Depends},
+         ${python:Depends}
+Recommends: qt-assistant-compat,
+            qtiplot-doc
 Description: data analysis and scientific plotting
  Qtiplot is a fully fledged plotting software similar to the OriginLab
  Origin software (See http://www.originlab.com for more information
@@ -56,8 +78,9 @@
 
 Package: qtiplot-doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
 Section: doc
+Depends: ${misc:Depends},
+         libjs-jquery
 Description: data analysis and scientific plotting (documentation)
  This package is part of QtiPlot.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --with python2

override_dh_auto_configure:
	rm -f build.conf
	cp build.conf.example build.conf
	mkdir -p icons/48x48
	mkdir -p icons/128x128
	cp qtiplot_logo.png icons/128x128/qtiplot.png
	convert qtiplot_logo.png -resize 48x48 icons/48x48/qtiplot.png
	dh_auto_configure

override_dh_auto_install:

override_dh_python2:
	dh_python2
	dh_sip -pqtiplot

override_dh_auto_build-arch:
	$(MAKE)

override_dh_auto_build-indep:
	doxygen Doxyfile
	$(MAKE) -C manual -f Makefile all

override_dh_auto_clean:
	dh_auto_clean
	find -type f -name Makefile ! -path ./manual/Makefile -exec rm -f {} \;
	find -type f -name '*.qm' -exec rm -f {} \;
	rm -rf icons
	rm -f minigzip.c
	rm -f qtiplot/qtiplot
	rm -f manual/html/*.html
	rm -f manual/qtiplot-manual-en.pdf
	rm -f manual/html/qtiplot.adp
	rm -rf API
	rm -rf tmp
	rm -f qtiplot/translations/*.qm
	rm -rf 3rdparty/qwtplot3d/lib
	rm -rf 3rdparty/qwtplot3d/tmp
	rm -f build.conf
	rm -f 3rdparty/qwt/lib/libqwt.a

override_dh_install:
	dh_install -X.js

override_dh_compress:
	dh_compress --exclude=.pdf --exclude=.adp

override_dh_auto_test-indep:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "Do not test for arch all build"
endif

=== debian/watch ===
version=4

#  https://www.qtiplot.com/download.html points to sourceforge

# does not work :-(
http://sf.net/qtiplot/qtiplot-@ANY_VERSION@@ARCHIVE_EXT@
